SRT-FIXED-TIMESHIFT(1)

NAME
srt-fixed-timeshift - SRT subtitle processing tool

DESCRIPTION
usage: srt fixed-timeshift [-h] [--input FILE] [--output FILE] [--inplace]

[--no-strict] [--debug] [--ignore-parsing-errors]
    [--encoding ENCODING] --seconds SECONDS

Shifts a subtitle by a fixed number of seconds.

  options:

-h, --help
    show this help message and exit

--input FILE, -i FILE
    the file to process (default: stdin)

--output FILE, -o FILE
    the file to write to (default: stdout)

--inplace, -p
    modify file in place

--no-strict
    allow blank lines in output, your media player may explode

--debug
    enable debug logging

--ignore-parsing-errors, -c
    try to keep going, even if there are parsing errors

--encoding ENCODING, -e ENCODING
    the encoding to read/write files in (default: utf8)

--seconds SECONDS
    how many seconds to shift

  examples:

    Make all subtitles 5 seconds later

    $ srt fixed-timeshift --seconds 5

    Make all subtitles 5 seconds earlier

    $ srt fixed-timeshift --seconds -5